package RSSReader::Gtk2UI::DeleteAFeed;
use strict;
use RSSReader::Feed;
use RSSReader::Gtk2UI::Dialog;
use Data::Dumper;

sub run {
  my $c = shift;
  my $feed = shift;
  my $window = RSSReader::Gtk2UI::MainWindow->new->widget;

  my $s = bless { _feed => $feed }, $c;
  my $d = Gtk2::MessageDialog->new($window, 'modal', 'info', 'ok-cancel', 'Feed "'.$feed->label.'" is about to be deleted');
  $d->signal_connect('response', sub {my $d = shift; my $r = shift; my $s = shift; ($r eq 'ok' ? $s->delete_it : $s->canceled) }, $s);
  $s->{_dialog} = $d;
  $d->run();

}

sub delete_it {
  my $s = shift;
  $s->{_dialog}->destroy;
  $s->{_feed}->delete();
}

sub canceled {
  my $s = shift;
  $s->{_dialog}->destroy;
  RSSReader::Gtk2UI::Dialog->run('Feed was not deleted', 'info');	
}
1;
